Tip Adjust
Adjust the tip on a previously authorized or captured transaction. Supports fixed amount or percentage-based tip adjustments.
Path Parameters
- Type: string · Transaction Idtransaction
_id requiredID of the transaction to adjust.
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
- enumContent
- Type const:application/jsonrequiredRequest payload format. Must be
application/jsonwhen a body is sent.values- application/json
Body·Tip Adjust Request
required
application/json
Tip adjustment request model. Supports fixed amount or percentage-based tip adjustments on previously authorized or captured transactions.
- Type: string · Typetyperequired
Adjustment type. One of:
fixed,percentage. - Type: integer | null · Amountamount
Fixed tip amount in cents. Required when
typeisfixed. - Type: string | null · Event Idevent
_id Idempotency key. Auto-generated if omitted.
- Type: number | null · Percentagepercentage
Tip percentage (e.g., 18 for 18%). Required when
typeispercentage.
Responses
- application/json
- application/json
Request Example for post/v1/payments/{transaction_id}/adjust
curl 'https://api.uat.koard.com/v1/payments/{transaction_id}/adjust' \
--request POST \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
--data '{
"type": "fixed",
"amount": 500,
"event_id": "evt_tip_001"
}'
{
"account_id": "string",
"additional_details": {},
"apple_transaction_id": "string",
"batch_id": null,
"card": "string",
"card_brand": "string",
"card_type": "string",
"created_at": 1,
"currency": "string",
"device_id": null,
"event_id": "string",
"gateway": null,
"gateway_transaction_id": null,
"gateway_transaction_response": null,
"history": [],
"location_id": null,
"merchant_name": "",
"mid": "string",
"owner_id": null,
"parent_account_ids": [
"string"
],
"payment_method": "string",
"processor": null,
"processor_mid": "string",
"processor_response_code": null,
"processor_response_message": null,
"processor_tid": "string",
"reader_identifier": "string",
"refunded": null,
"reversed": null,
"status": null,
"status_reason": null,
"subtotal": 1,
"surcharge_amount": null,
"surcharge_applied": false,
"surcharge_rate": null,
"tax_amount": null,
"tax_rate": null,
"tid": "string",
"tip_amount": null,
"tip_type": null,
"total_amount": 1,
"transaction_id": "string",
"transaction_type": null
}
